#ifndef __XDEUX_H__
#define __XDEUX_H__

#include "fct.h"

class XDeux : public Fct
{
private:
	virtual double fct(double x) const { return x * x; }
	virtual double der(double x) const { return 2.0 * x; }

public: // factory
	static Fct *create()
	{
		return dynamic_cast<Fct *>(new XDeux);
	}
};

#endif // __XDEUX_H__
